PHP Manual
Prev |  | Next

# sqlite_last_insert_rowid

(PHP 5)

sqlite_last_insert_rowid

(no version information, might be only in CVS)

SQLiteDatabase->lastInsertRowid -- Returns the rowid of the most recently inserted row

## Description

int sqlite_last_insert_rowid ( resource dbhandle )

Object oriented style (method):

class SQLiteDatabase {
int lastInsertRowid ( void )
}

Returns the rowid of the row that was most recently inserted into the database dbhandle, if it was created as an auto-increment field.

> Tip: You can create auto-increment fields in SQLite by declaring them as INTEGER PRIMARY KEY in your table schema.

## Parameters

dbhandle

  The SQLite Database resource; returned from sqlite_open() when used procedurally. This parameter is not required when using the object-oriented method.

Prev | Home | Next
sqlite_last_error | Up | sqlite_libencoding